> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/payment-plan.md).

# Payment Plan

Manage VARIO Cloud payment plans for open items: modify terms, convert invoices to payment plans, recalculate plans, and start payment plan runs.

Open items - payment plans.

## PUT /erp/finance/openitems/paymentplan/{openItemId}/change\_paymentplan

> Changes a payment plan.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"PaymentPlan","description":"Open items - payment plans."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/change_paymentplan":{"put":{"tags":["PaymentPlan"],"description":"Changes a payment plan.","operationId":"update_37","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentPlanChangeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"}}}}}}}},"components":{"schemas":{"erp-finance-PaymentPlanChangeRequest":{"properties":{"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"clearDueDateCalculation":{"type":"boolean","description":"Delete the due date rule."},"amount":{"type":"number","description":"Amount."},"clearAmount":{"type":"boolean","description":"Delete the amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"clearStartDate":{"type":"boolean","description":"Delete the start date."},"endDate":{"type":"string","format":"date","description":"End date."},"clearEndDate":{"type":"boolean","description":"Delete the end date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"clearDueDate":{"type":"boolean","description":"Delete the due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}}}},"erp-finance-PaymentPlanManualRule":{"description":"Manual booking presets.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Due date."},"amount":{"type":"number","description":"Amount."},"processed":{"type":"boolean","description":"Already processed.","readOnly":true},"currencyCode":{"type":"string","description":"Currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Payment plan.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Payment plan type.","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Due date rule."},"amount":{"type":"number","description":"Amount."},"startDate":{"type":"string","format":"date","description":"Start date."},"endDate":{"type":"string","format":"date","description":"End date."},"description":{"type":"string","description":"Description."},"active":{"type":"boolean","description":"Active."},"dueDate":{"type":"string","format":"date","description":"Due date."},"manualRuleEntries":{"type":"array","description":"Manual booking presets.","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Payment plan currency (ISO-A3)."},"exchangeRate":{"type":"number","description":"Currency exchange rate against the base currency."},"baseCurrencyCode":{"type":"string","description":"Payment plan base currency (ISO-A3)."},"baseAmount":{"type":"number","description":"Amount in base currency."}}}}}}
```

## POST /erp/finance/openitems/paymentplan/{openItemId}/transform\_to\_paymentplan

> Converts an invoice open item into a payment plan.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"PaymentPlan","description":"Open items - payment plans."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/transform_to_paymentplan":{"post":{"tags":["PaymentPlan"],"description":"Converts an invoice open item into a payment plan.","operationId":"transformInvoiceOpenItemToPaymentPlan","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitems/paymentplan/{openItemId}/evaluate\_paymentplan

> Triggers the payment plan calculation.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"PaymentPlan","description":"Open items - payment plans."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/evaluate_paymentplan":{"post":{"tags":["PaymentPlan"],"description":"Triggers the payment plan calculation.","operationId":"evaluateOpenItemPaymentPlan","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitems/paymentplan/start\_paymentplan\_run

> Creates a payment plan run.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"PaymentPlan","description":"Open items - payment plans."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitems/paymentplan/start_paymentplan_run":{"post":{"tags":["PaymentPlan"],"description":"Creates a payment plan run.","operationId":"evaluateOpenItemPaymentPlanRun","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemPlanRunRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemPlanRunRequest":{"properties":{"dueDate":{"type":"string","format":"date","description":"Next booking due date."},"accountIds":{"type":"array","description":"Restrict to specific addresses?","items":{"type":"integer","format":"int64","description":"Restrict to specific addresses?"}},"startDate":{"type":"string","format":"date","description":"Payment plan start day - to."},"endDate":{"type":"string","format":"date","description":"Payment plan end day - to."}},"required":["dueDate"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/payment-plan.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
